<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.TreeMap" %>
<%@ page import="javax.portlet.ValidatorException" %>
<%@ page import="com.novell.portlet.util.PortletPrefsDataType" %>
<%@ page import="com.novell.portlet.core.PortletBase" %>


<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletPrefsBean"/>

<i18n:bundle baseName="${prefs.resourceId}" id="bundle"/>

<portlet:defineObjects/>

<%--
  Useful alert that can be placed at bottom of the createNewPrefContent for Debugging purposes.
           alert("createNewPrefContent NEW Row Content" + "\n templateNumber="+templateNumber+"\n newPrefNumber="+newPrefNumber+
                 "\n.\n  searchKey=" + findRowKey(prefName, templateNumber) + "\n template=" + template +
                 "\n.\n searchKey=" + findRowKey(prefName, newPrefNumber) + "\n  newPref=" + newPref);
--%>

<div>

    <script>
       // Add a preference to the UI.
       function addPref(prefName, prefNumber, contextPath){
           var mainTable = document.getElementById( generatePrefTableKey(prefName) );
           var curRow = findRow(prefName, prefNumber);
           var newRow = mainTable.insertRow( (curRow.rowIndex + 1) );
		   var valueCell = document.createElement("TD");
	   	   var inputElement = document.getElementById( generatePrefKey(prefName, prefNumber) );
           var content = createNewPrefContent(prefName, inputElement.parentNode.innerHTML);
           valueCell.innerHTML = content.value;
	  	   newRow.appendChild(valueCell);
           resetPrefValue(prefName, content.id);
	  	   return false;
       }

       // Remove Preference from UI
       function deletePref(prefName, prefNumber, contextPath){
           var curRow = findRow(prefName, prefNumber);
           if (curRow != null) {
               if (rowCount(prefName) <= 1) {
                  resetPrefValue(prefName, prefNumber);
		       } else {
                  curRow.parentNode.removeChild(curRow);
               }
           }
		   return false;
       }

       function prefContent(value, id) {
           var content = new Object();
           content.value = value
           content.id = id
           return content;
       }

       function findRowKey(prefName, prefNumber) { return prefName+"\","+prefNumber+","; }

       function generateMaxFindKey(prefName) { return "(\""+prefName+"\","; }

       function generatePrefTableKey(prefName) { return "table-"+prefName; }

       function generatePrefKey(prefName, prefNumber) { return prefName+"-"+prefNumber; }

       function createNewPrefContent(prefName, template) {
           // Looks odd but supports both IE and Firefox differences
           var newPref = template;
		   var currMaxRow = rowMax(prefName);
	       var newPrefNumber = currMaxRow + 1;
   		   var templateNumber = rowIndicator(prefName, template);

		   newPref = newPref.replace(" id=\""+generatePrefKey(prefName, templateNumber), " id=\""+generatePrefKey(prefName, newPrefNumber));
		   newPref = newPref.replace(" id="+generatePrefKey(prefName, templateNumber), " id="+generatePrefKey(prefName, newPrefNumber));
		   newPref = newPref.replace(findRowKey(prefName, templateNumber), findRowKey(prefName, newPrefNumber));
		   newPref = newPref.replace(findRowKey(prefName, templateNumber), findRowKey(prefName, newPrefNumber));

		   return prefContent(newPref, newPrefNumber)
       }

       function findRow(prefName, prefNumber) {
           var mainTable = document.getElementById( generatePrefTableKey(prefName) );
           var numRows = mainTable.rows.length;
           for (i=0; i < numRows; i++) {
	           var curRow = mainTable.rows.item(i);
	           var findKey = findRowKey(prefName, prefNumber);
	           if (curRow != null && curRow.innerHTML.indexOf(findKey) > -1) {
		           return curRow;
	    	   }
	       }
	  	   return null;
       }

       function rowCount(prefName) {
           var count = 0;
           var mainTable = document.getElementById( generatePrefTableKey(prefName) );
           var numRows = mainTable.rows.length;
           for (i=0; i < numRows; i++) {
               var curRow = mainTable.rows.item(i);
               var foundRow = rowIndicator(prefName, curRow.innerHTML);
               if (foundRow != null && foundRow > 0) {
           		  count++;
	           }
	       }
	  	   return count;
       }

       function rowMax(prefName) {
           var maxRow = 0;
           var mainTable = document.getElementById( generatePrefTableKey(prefName) );
           var numRows = mainTable.rows.length;
           for (i=0; i < numRows; i++) {
               var curRow = mainTable.rows.item(i);
               var foundRow = rowIndicator(prefName, curRow.innerHTML);
               if (foundRow != null && foundRow > maxRow) {
           		  maxRow = foundRow;
	           }
	       }
	  	   return maxRow;
       }

       function rowIndicator(prefName, content) {
           var maxFindKey = generateMaxFindKey(prefName);
           var maxFindLen = maxFindKey.length;
           var foundRow = 0;
           var keyPos = content.indexOf(maxFindKey);
           if (keyPos > -1) {
               var commaPos = content.indexOf(",", (keyPos+maxFindLen));
               if (commaPos != null && commaPos > 0) {
	               foundRow = parseInt(content.substring((keyPos+maxFindLen), commaPos));
		       }
    	   }
	  	   return foundRow;
       }

       function resetPrefValue(prefName, prefNumber) {
           var inputElement = document.getElementById( generatePrefKey(prefName, prefNumber) );
           if (inputElement != null) inputElement.value = "";
       }
    </script>

    <%
       // Build a sorted Map with all the Portlet Prefernces (part-1) included,
       // then later on (part-2) highlight those Preferences that failed validation.
	   TreeMap prefMap = new TreeMap();

	   // Part 1: all the Portlet Prefernces
       Enumeration prefNames = prefs.getNames();
	   while (prefNames.hasMoreElements()) {
	       String prefName = (String) prefNames.nextElement();
	       prefMap.put(prefName, "");
	   }

       // Part 2: highlight those Preferences that failed validation
	   ValidatorException ve = (ValidatorException) request.getAttribute(PortletBase.PREF_MSG);
	   if (ve != null) {
	       Enumeration prefErrors = ve.getFailedKeys();
	       while (prefErrors.hasMoreElements()) {
	           String prefName = (String) prefErrors.nextElement();
	           prefMap.put(prefName, prefName);
	       }
	   }

		// Put into pageScope so we can use out of the scriplet world
        pageContext.setAttribute("prefKeys", prefMap);
    %>

	<c:set var="dataTypePassord" value="<%=PortletPrefsDataType.PASSWORD%>" scope="page"/>
	<c:set var="dataTypeBoolean" value="<%=PortletPrefsDataType.BOOLEAN%>" scope="page"/>
	<c:set var="dataTypeText" value="<%=PortletPrefsDataType.TEXT%>" scope="page"/>
    <c:set var="dataTypeSelect" value="<%=PortletPrefsDataType.SELECT%>" scope="page"/>
    <c:set var="portletPermissionKey" value="<%=PortletBase.PORTLET_PERMISSION%>" scope="page"/>
	<c:set var="validatorKey" value="<%=PortletBase.PREF_MSG%>" scope="page"/>
	<c:set var="contextPath" value="<%=request.getContextPath()%>" scope="page"/>
    <c:set var="hasPermission" value="${requestScope[portletPermissionKey]}" scope="page"/>
    <c:set var="validator" value="${requestScope[validatorKey]}" scope="page"/>
    <c:set var="validatorFailedKeys" value="${validator.failedKeys}" scope="page"/>

    <fieldset>
      <legend class="portlet-form-label">Edit Portlet Preferences</legend>

    <form method="post" action="<portlet:actionURL/>">
	<table id="prefTable" width="100%%" cellspacing="0" border="0" cellpadding="0">

    <c:choose>
	    <c:when test="${hasPermission eq 'true' or empty hasPermission}">
		    <%-- User Has Permission to view/edit portlet's perferences --%>
		    <c:if test="${!empty validator}">
		        <%-- There are edit validation messages to be displayed --%>
	            <tr><td colspan='2' class="portlet-msg-error">
	               <c:out value='${validator.message}' escapeXml='false'/>
	            </td></tr>
		    </c:if>

		    <c:forEach items="${prefKeys}" var="pref" varStatus="status">
		        <c:set var="failed" value="false" scope="page"/>
		        <c:if test="${!empty validator and pref.key == pref.value}">
		           <c:set var="failed" value="true" scope="page"/>
		        </c:if>

		        <%-- Put the Current-Preference into the pageContext so that Scriplet can access it. --%>
				<c:set var="currPref" value="${pref.key}" scope="page"/>

				<%
				     // For the Current-Preference, get the desired information into the pageContext
				     // so it can be accessed via the Expression Language
				     String currPref = (String)pageContext.getAttribute("currPref");
                     String[] defaults = {""};

				     pageContext.setAttribute("isMultiValued", new Boolean(prefs.allowMultiValues(currPref)));
                     pageContext.setAttribute("dataType", prefs.getDataType(currPref));
                     pageContext.setAttribute("textSize", ""+prefs.getTextSize(currPref));
                     pageContext.setAttribute("prefValue", prefs.getValue(currPref, ""));
                     pageContext.setAttribute("prefValues", prefs.getValues(currPref, defaults));
                     if (prefs.getDataType(currPref) == PortletPrefsDataType.SELECT) {
                         pageContext.setAttribute("selectOptions", prefs.getValueOptions(currPref));
                     }
                %>

                <%-- Set the inputType as either text or password --%>
			    <c:set var="inputType" value="text" scope="page"/>
		        <c:if test="${dataType == dataTypePassord}">
		           <c:set var="inputType" value="password" scope="page"/>
		        </c:if>

		    	<tr id='row-${pref.key}'>
	                <%-- Put the Preference Name in regular-font or in error-font --%>
                    <c:set var="prefname"><i18n:message key="javax.portlet.preference.name.${pref.key}" bundleRef="bundle"/></c:set>
                    <c:if test="${fn:length(prefname) == 0}">
                        <c:set var="prefname"><c:out value='${pref.key}'/></c:set>
                    </c:if>
                    <c:choose>
					    <c:when test="${failed == 'true'}">
				    	   <td width='20%' class="portlet-msg-error" valign='top'><c:out value='${pref.key}'/>:&nbsp;</td>
					    </c:when>
					    <c:otherwise>
				    	   <td width='20%' class="portlet-form-field-label" valign='top' nowrap><c:out value="${prefname}"/>:&nbsp;</td>
					    </c:otherwise>
				    </c:choose>

                    <td width='80%' class='portlet-form-field'>
					    <c:choose>
						    <c:when test="${empty isMultiValued or isMultiValued eq 'false'}">

							      <c:choose>
								    <c:when test="${dataType == dataTypeBoolean}">
	                                   <c:set var="trueChecked" value="" scope="page"/>
	                                   <c:set var="falseChecked" value="Checked" scope="page"/>
								       <c:if test="${prefValue == 'true'}">
								          <c:set var="trueChecked" value="Checked" scope="page"/>
								          <c:set var="falseChecked" value="" scope="page"/>
								       </c:if>
	 						           <input type='radio'  value='true'   id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  <c:out value='${trueChecked}'/>  />True
								       <input type='radio'  value='false'  id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  <c:out value='${falseChecked}'/>  />False
								    </c:when>
								    <c:when test="${dataType == dataTypePassord}">
				    			       <input type='<c:out value='${inputType}'/>'  class='portlet-form-input-field' size='43'  maxlength='255'  value='<c:out value='${prefValue}'/>'  id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  />
								    </c:when>
                                    <c:when test="${dataType == dataTypeSelect}">
                                        <select name="<c:out value='${pref.key}'/>">
                                            <c:forEach items="${selectOptions}" var="option" varStatus="status">
                                                <option value="${option.key}" <c:if test="${prefValue == option.key}">selected</c:if>>  ${option.value}</option>
                                            </c:forEach>
                                        </select>
                                    </c:when>
                                    <c:otherwise>
									    <c:choose>
										    <c:when test="${textSize == '1'}">
						    			       <input type='<c:out value='${inputType}'/>'  class='portlet-form-input-field' size='43'  maxlength='255'  value='<c:out value='${prefValue}'/>'  id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  />
										    </c:when>
										    <c:otherwise>
									       	   <textarea  rows='${textSize}'  cols='36'  id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  class='portlet-form-input-field' ><c:out value='${prefValue}'/></textarea>
										    </c:otherwise>
									    </c:choose>
								    </c:otherwise>
						    	  </c:choose>

						    </c:when>
						    <c:otherwise>
							    <c:choose>
								    <c:when test="${dataType == PortletPrefsDataType.TEXT}">
								    	<td width='80%'>
								       		<textarea  rows='5'  cols='36'  id='<c:out value='${pref.key}'/>'  name='<c:out value='${pref.key}'/>'  class='portlet-form-input-field' >${fn:join(prefValues, "")}</textarea>
								       	</td>
								    </c:when>
								    <c:otherwise>
								       <table id='table-${pref.key}' border='0' cellspacing='0' cellpadding='0'>
								         <c:forEach items="${prefValues}" var="singleValue" varStatus="status">
								           <tr><td>
											    <c:choose>
												    <c:when test="${textSize == '1'}">
								    			       <input  type='<c:out value='${inputType}'/>'  size='43'  maxlength='255'  value='<c:out value='${singleValue}'/>'  id='<c:out value='${pref.key}'/>-<c:out value='${status.index + 1}'/>'  name='<c:out value='${pref.key}'/>' class='portlet-form-input-field' /><a href='#' onclick='javascript:addPref("<c:out value='${pref.key}'/>",<c:out value='${status.index + 1}'/>, "<c:out value='${contextPath}'/>"); return false;' alt='Add'><img src='<c:out value='${contextPath}'/>/images/add.png' title='Add' alt='Add' border='0'/></a><a href='#' onclick='javascript:deletePref("<c:out value='${pref.key}'/>",<c:out value='${status.index + 1}'/>, "<c:out value='${contextPath}'/>"); return false;' alt='Delete'><img src='<c:out value='${contextPath}'/>/images/delete.png' title='Del' alt='Del' border='0'/></a>
												    </c:when>
												    <c:otherwise>
											       	   <textarea  rows='${textSize}'  cols='36'  id='<c:out value='${pref.key}'/>-<c:out value='${status.index + 1}'/>'  name='<c:out value='${pref.key}'/>'  class='portlet-form-input-field' ><c:out value='${singleValue}'/></textarea><a href='#' onclick='javascript:addPref("<c:out value='${pref.key}'/>",<c:out value='${status.index + 1}'/>, "<c:out value='${contextPath}'/>"); return false;' alt='Add'><img src='<c:out value='${contextPath}'/>/images/add.png' title='Add' alt='Add' border='0'/></a><a href='#' onclick='javascript:deletePref("<c:out value='${pref.key}'/>",<c:out value='${status.index + 1}'/>, "<c:out value='${contextPath}'/>"); return false;' alt='Delete'><img src='<c:out value='${contextPath}'/>/images/delete.png' title='Del' alt='Del' border='0'/></a>
												    </c:otherwise>
											    </c:choose>
									       </td></tr>
								         </c:forEach>
									   </table>
								    </c:otherwise>
							    </c:choose>

						    </c:otherwise>
					    </c:choose>
				    </td>

		    	</tr>
		    </c:forEach>
	    </c:when>
		<c:otherwise>
			<%-- User Has No Permission to view/edit portlet's perferences --%>
		    <tr><td colspan='2' class="portlet-msg-error">
		        You do not have permissions to edit this portlet's perferences.
            </td></tr>
		</c:otherwise>
    </c:choose>

     </table>

     <br/><br/>
	 <table id="prefTable2" width="97%" cellspacing="0" border="0" cellpadding="0">
	   <tr>
	     <td>
           <input type="submit" name="prefs-ok" value="OK" class="portlet-form-button"/>
           &nbsp;&nbsp;
           <input type="submit" name="prefs-cancel" value="Cancel" class="portlet-form-button"/>
         </td>
       </tr>
     </table>

     </form>
    </fieldset>
</div>
