<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib prefix="novp" uri="/WEB-INF/tag/novell-portletsTag.tld" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="gwcalbean" scope="request" class="com.novell.portlet.groupwise.GWCalBean" />

<portlet:defineObjects/>

<style type="text/css">
table.calDayTable .unread td {
        background-color: #ffffff;
}
table.calDayTable .unread a {
        font-weight: bold;
        color: #2464a6;
}
table.calDayTable .unread {
        font-weight: bold;
        color: #2464a6;
}
table.calDayTable .read td {
        background-color: #f6f6f6;
}
table.calDayTable td {
        vertical-align: middle;
        border-bottom: 1px dotted #ccc;
        padding: 0 4pt;
        height: 25px;
}
table.calDayTable a {
        display: block;
        padding: 3pt;
}
table.calDayTable a:hover {
        color: #f50;
        text-decoration: underline;
}
tr.calunaccepted td {
        font-style: italic;
}

table.calDayTable caption
{
        text-align: left;
        padding: 2px 5px;
        vertical-align: bottom;
        white-space: nowrap;
        color: white;
        background-color: #436B9E;
}

tr.calDayHeader
{
        border-collapse: collapse;
        height: 23px;
        background: #a1b5ce;
        color: #FFFFFF;
        font-weight: bold;
}
tr.calDayHeader  th
{
        text-align: left;
        padding: 2px 4pt;
        border-left: 1px solid #8c969c;
        border-bottom: 1px solid #8c969c;
}

a img {
    vertical-align: middle;
}
.nowrap {
        white-space: nowrap;
}
</style>

<%--<form method="post" action="http://127.0.0.1:8080/c/portal/layout?p_l_id=PRI.15.6&p_p_id=GWMailPortlet_WAR_NovellOSPortlets1.0&p_p_action=1&p_p_state=normal&p_p_mode=edit&p_p_col_id=column-1&p_p_col_pos=0&p_p_col_count=1&#p_GWMailPortlet_WAR_NovellOSPortlets1.0"/>--%>

<c:set var="actionURL" value="" scope="page"/>
<fmt:setTimeZone value="US/Mountain" scope="session"/>

<c:choose>
    <c:when test="${gwcalbean.errorMessage != ''}">
        <img  src="${pageContext.request.contextPath}/images/error32.gif" alt="Error" title="Error" border="0" width="32" height="32" align="absmiddle"/> ${gwcalbean.errorMessage}
    </c:when>
    <c:otherwise>

<div style="height: auto;">

    <div style="display:block;">
        <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td align="left">
                    <c:if test="${novp:prefValue(prefs, 'webaccess-url', '')!=''}">
                        <form name="gwwasso" method="post" action="${novp:prefValue(prefs, 'webaccess-url', '#')}?error=login&User.displayDraftItems=1&merge=webacc&action=User.Login&Url.hasJavaScript=1" target="_blank" style="display:inline;">
                            <input type="hidden" name="User.id" value="${novp:prefValue(prefs, 'groupwise-user', '')}"/>
                            <input type="hidden" name="User.password" value="${novp:prefValue(prefs, 'groupwise-pwd', '')}"/>
                            <input type="image" value="Login" src="${pageContext.request.contextPath}/images/groupwise.png" align="absmiddle" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess" border="0" width="22" height="22"/>
                            <a class="noline" href="#" onclick="document.forms['gwwasso'].submit(); return false;" target="_blank" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess"> Launch</a>
                        </form>
                    </c:if>
                    <a class="noline" href="<portlet:renderURL><portlet:param name='refresh' value='${renderRequest.portletSession.lastAccessedTime}'/></portlet:renderURL>">
                        <img src="${pageContext.request.contextPath}/images/refresh.png" alt="Refresh" title="Refresh" border="0" width="22" height="22"/> Refresh</a>
                </td>
                <td align="left" nowrap="nowrap">
                    <div align="right">
                        <a class="noline" href="<portlet:actionURL><portlet:param name="filterDate" value="0"/></portlet:actionURL>">
                            <img src="${pageContext.request.contextPath}/images/today_22.gif" alt="Today" title="Today" border="0"/>
                            Today
                        </a>
                        <a class="noline" href="<portlet:actionURL><portlet:param name="filterDate" value="-1"/><portlet:param name="unique" value="${renderRequest.portletSession.lastAccessedTime}"/></portlet:actionURL>"><img src="${pageContext.request.contextPath}/images/go-previous.png" alt="Previous" title="Previous" border="0" width="22" height="22"/></a>
                        <fmt:formatDate value="${gwcalbean.selectedDate.time}" pattern="MMM d, yyyy" />
                        <a class="noline" href="<portlet:actionURL><portlet:param name="filterDate" value="+1"/><portlet:param name="unique" value="${renderRequest.portletSession.lastAccessedTime}"/></portlet:actionURL>"><img src="${pageContext.request.contextPath}/images/go-next.png" alt="Next" title="Next" border="0" width="22" height="22"/></a>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div style="display:block;">
    <table border="0" cellpadding="2" cellspacing="0" class="calDayTable" width="100%">

        <tr class="calDayHeader">
                <th nowrap>Subject</th>
                <th nowrap>Time</th>
                <th nowrap>From</th>
        </tr>
        <c:forEach items="${gwcalbean.messageListEvent}" var="item" varStatus="status">
            <c:set var="itemlink">
                <portlet:actionURL>
                    <portlet:param name="item.id" value="${item.itemID}"/>
                </portlet:actionURL>
            </c:set>

            <tr id="{VAR Item[loopCount].drn}" class="${ item.read eq true ? 'read' : 'unread'} <c:if test="${!item.accepted}">calunaccepted</c:if>">
                <td class="nowrap">
                    <c:if test="${item.isAllDay}"><img src="${pageContext.request.contextPath}/images/alldayevent.png" width=9 height=9 alt="all day event" title="all day event"> </c:if>
                    <a href="${itemlink}" style="display:inline;">${item.subject}</a>
                    <%--{IF Item[loopCount].location != ""} {item.location} --%>
                        <br>
                        <span style="color: #888F95; font-size: 0.9em">${item.place}</span>
                    <%--{ENDIF}--%>
                </td>
                <td class="nowrap">
                    <c:choose>
                        <c:when test="${item.isAllDay}">
                            <fmt:formatDate value="${item.startDate}" pattern="EE, MMM d" />
                        </c:when>
                        <c:otherwise>
                            <fmt:formatDate value="${item.startDate}" pattern="h:mm a" />
                        </c:otherwise>
                    </c:choose>
                </td>
                <td class="nowrap ${ item.read eq true ? 'read' : 'unread'}">${item.from}</td>
            </tr>
        </c:forEach>
    </table>
    </div>

</div>

    </c:otherwise>
</c:choose>
