<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="novp" uri="/WEB-INF/tag/novell-portletsTag.tld" %>
<%@ taglib prefix="portlet" uri="http://java.sun.com/portlet" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="gwmailbean" scope="request" class="com.novell.portlet.groupwise.GWMailBean" />

<portlet:defineObjects/>

<style type="text/css">
    table.maillist th {
        background: #a1b5ce;
        COLOR: #FFFFFF;
        font-weight: bold;
        text-align: left;
        border-left: 1px solid #8C969C;
        border-bottom: 1px solid #8C969C;
        padding: 2px 4pt;
    }
    table.maillist .unread td {
        background-color: #ffffff;
    }

    table.maillist .read td {
        background-color: #f6f6f6;
    }

    table.maillist td {
        vertical-align: middle;
        border-bottom: 1px dotted #ccc;
        padding: 0 4pt;
    }

    table.maillist a {
        display: block;
        padding: 3pt;
    }

    table.maillist a:hover {
        color: #f50;
        text-decoration: underline;
    }

    table.maillist .unread a {
        font-weight: bold;
        color: #2464a6;
    }
    a.noline {
	text-decoration: none;
    }
    a img {
        vertical-align: middle;
    }
    .nowrap {
        white-space: nowrap;
    }
</style>

<c:set var="actionURL" value="" scope="page"/>
<fmt:setTimeZone value="US/Mountain" scope="session"/>

<c:choose>
    <c:when test="${gwmailbean.errorMessage != ''}">
        <img  src="${pageContext.request.contextPath}/images/error32.gif" alt="Error" title="Error" border="0" width="32" height="32" align="absmiddle"/> ${gwmailbean.errorMessage}
    </c:when>
    <c:otherwise>

<div style="height: auto;" >

    <div style="display:block">
        <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td align="left">
                    <c:if test="${novp:prefValue(prefs, 'webaccess-url', '')!=''}">
                        <form name="gwwasso" method="post" action="${novp:prefValue(prefs, 'webaccess-url', '#')}?error=login&User.displayDraftItems=1&merge=webacc&action=User.Login&Url.hasJavaScript=1" target="_blank" style="display:inline;">
                            <input type="hidden" name="User.id" value="${novp:prefValue(prefs, 'groupwise-user', '')}"/>
                            <input type="hidden" name="User.password" value="${novp:prefValue(prefs, 'groupwise-pwd', '')}"/>
                            <input type="image" value="Login" src="${pageContext.request.contextPath}/images/groupwise.png" align="absmiddle" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess" border="0" width="22" height="22"/>
                            <a class="noline" href="#" onclick="document.forms['gwwasso'].submit(); return false;" target="_blank" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess"> Launch</a>
                        </form>
                    </c:if>
                    <a class=noline href="<portlet:renderURL><portlet:param name='refresh' value='${renderRequest.portletSession.lastAccessedTime}'/></portlet:renderURL>">
                        <img src="${pageContext.request.contextPath}/images/refresh.png" alt="Refresh" title="Refresh" border="0" width="22" height="22"/> Refresh</a>
                </td>
                <td align="left" nowrap="nowrap">
                    <div align="right">
                        <c:if test="${gwmailbean.currentItemIndex != '0'}">
                            <a class="noline" href="<portlet:actionURL><portlet:param name='getPrevious' value='X'/><portlet:param name='refresh' value='${renderRequest.portletSession.lastAccessedTime}'/></portlet:actionURL>"><img src="${pageContext.request.contextPath}/images/go-previous.png" alt="Previous" title="Previous" border="0" width="22" height="22"/></a>
                        </c:if>
                            <span style="color:#ffffff; font-weight:bold; background-color:#8c969c; padding:1px 4px 1px 4px; -moz-border-radius:5px;"> <c:choose><c:when test="${gwmailbean.messageListCount == 0}">0</c:when><c:otherwise>${gwmailbean.currentItemIndex +1}</c:otherwise></c:choose> - ${gwmailbean.currentItemIndex + gwmailbean.messageListCount}</span><span style="font-weight:bold; color:#47506f;"> of <c:choose><c:when test="${novp:prefValue(prefs, 'only-unread', 'true')=='true'}">${gwmailbean.folderUnreadCount}</c:when><c:otherwise>${gwmailbean.folderCount}</c:otherwise></c:choose></span>
                        <c:if test="${gwmailbean.currentItemIndex + gwmailbean.messageListCount < gwmailbean.folderCount}">
                            <a class="noline" href="<portlet:actionURL><portlet:param name='getNext' value='X'/><portlet:param name='refresh' value='${renderRequest.portletSession.lastAccessedTime}'/></portlet:actionURL>"><img src="${pageContext.request.contextPath}/images/go-next.png" alt="Next" title="Next" border="0" width="22" height="22"/></a>
                        </c:if>

                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div style="display:block;">

<table summary="mail list" class="maillist XscrollTable" cellpadding=0 cellspacing=0 border="0" width="100%">

    <!-- Column Headings -->
    <thead class="XfixedHeader">
    <tr>
        <c:if test="${novp:prefValue(prefs, 'show-column-from','')=='true'}">
            <th align="left" width="10%" nowrap>From</th>
        </c:if>
        <c:if test="${novp:prefValue(prefs, 'show-column-subject','')=='true'}">
            <th align="left" nowrap>Subject</th>
        </c:if>
        <c:if test="${novp:prefValue(prefs, 'show-column-date','')=='true'}">
            <th align="left" width="10%" style="white-space: nowrap">Date</th>
        </c:if>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${gwmailbean.messageListItems}" var="item" varStatus="status">
        <c:set var="itemlink">
            <portlet:actionURL>
                <portlet:param name="item.id" value="${item.itemID}"/>
            </portlet:actionURL>
        </c:set>
        <tr class="${ item.read eq true ? 'read' : 'unread'}">
            <c:if test="${novp:prefValue(prefs, 'show-column-from','')=='true'}">
                <td valign="top" align="left" class="nowrap ${ item.read eq true ? 'read' : 'unread'}">
                    <a href="${itemlink}">${item.from}</a>
                </td>
            </c:if>
            <c:if test="${novp:prefValue(prefs, 'show-column-subject','')=='true'}">
                <td valign="top" xwidth="98%" xclass="nowrap ${ item.read eq true ? 'read' : 'unread'}">
                    <a href="${itemlink}">${item.subject}</a>
                </td>
            </c:if>
            <c:if test="${novp:prefValue(prefs, 'show-column-date','')=='true'}">
                <td valign="top" align="left" class="nowrap ${ item.read eq true ? 'read' : 'unread'}">
                    <a href="${itemlink}"><fmt:formatDate value="${item.date}" pattern="M/dd/yy h:mm a" /></a>
                </td>
            </c:if>
        </tr>
    </c:forEach>
    </tbody>
</table>
    </div>
</div>

    </c:otherwise>
</c:choose>
