<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="novp" uri="/WEB-INF/tag/novell-portletsTag.tld" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="gwmailbean" scope="request" class="com.novell.portlet.groupwise.GWMailBean" />

<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects/>

<style type="text/css">

    .rowcaption {
        text-align: right;
        color: #9c9a9c;
        width: 5px;
        padding: 0 4pt;
        font-weight: bold;
    }

    .headerrow {
        background-color: #f7f7f7;
    }

    a.noline {
        text-decoration: none;
    }

    a img {
        vertical-align: middle;
    }


</style>

<%--<form method="post" action="http://127.0.0.1:8080/c/portal/layout?p_l_id=PRI.15.6&p_p_id=GWMailPortlet_WAR_NovellOSPortlets1.0&p_p_action=1&p_p_state=normal&p_p_mode=edit&p_p_col_id=column-1&p_p_col_pos=0&p_p_col_count=1&#p_GWMailPortlet_WAR_NovellOSPortlets1.0"/>--%>

<c:set var="actionURL" value="" scope="page"/>

<c:choose>
    <c:when test="${gwmailbean.errorMessage != ''}">
        <img  src="${pageContext.request.contextPath}/images/error32.gif" alt="Error" title="Error" border="0" width="32" height="32" align="absmiddle"/> ${gwmailbean.errorMessage}
    </c:when>
    <c:otherwise>


<c:forEach items="${gwmailbean.messageListItems}" var="theitem" varStatus="status">
    <c:set var="itemListLink">
        <portlet:actionURL>
            <portlet:param name="item.id" value="NULL"/>
        </portlet:actionURL>
    </c:set>
    <c:set var="itemPreviousLink">
        <portlet:actionURL>
            <portlet:param name="item.id" value="${gwmailbean.previousId}"/>
        </portlet:actionURL>
    </c:set>
    <c:set var="itemNextLink">
        <portlet:actionURL>
            <portlet:param name="item.id" value="${gwmailbean.nextId}"/>
        </portlet:actionURL>
    </c:set>

<div style="height: auto;">

    <div style="display:block; background-color: #f7f7f7; border-top: 2px solid #efefef; border-bottom: 2px solid #efefef;">
        <table border="0" cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td align="left">
        <c:if test="${novp:prefValue(prefs, 'webaccess-url', '')!=''}">
            <form name="gwwasso" method="post" action="${novp:prefValue(prefs, 'webaccess-url', '#')}?error=login&User.displayDraftItems=1&merge=webacc&action=User.Login&Url.hasJavaScript=1" target="_blank" style="display:inline;">
                <input type="hidden" name="User.id" value="${novp:prefValue(prefs, 'groupwise-user', '')}"/>
                <input type="hidden" name="User.password" value="${novp:prefValue(prefs, 'groupwise-pwd', '')}"/>
                <input type="image" value="Login" src="${pageContext.request.contextPath}/images/groupwise.png" align="absmiddle" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess" border="0" width="22" height="22"/>
                <a class="noline" href="#" onclick="document.forms['gwwasso'].submit(); return false;" target="_blank" alt="Open GroupWise WebAccess" title="Open GroupWise WebAccess"> Launch</a>
            </form>
        </c:if>
        <a class="noline" href="${itemListLink}"><img src="${pageContext.request.contextPath}/images/go-list.png" alt="Return to the item list" title="Return to the item list" border="0" width="22" height="22"/> Item List</a>
                </td>
                <td align="left" nowrap="nowrap">
                    <div align="right">
                        <c:if test="${gwmailbean.previousId != ''}">
                            <a href="${itemPreviousLink}"><img src="${pageContext.request.contextPath}/images/go-previous.png" alt="Previous" title="Previous" border="0" width="22" height="22"/></a>
                        </c:if>
                        &nbsp;
                        <c:if test="${gwmailbean.nextId != ''}">
                            <a href="${itemNextLink}"><img src="${pageContext.request.contextPath}/images/go-next.png" alt="Next" title="Next" border="0" width="22" height="22"/></a>
                        </c:if>
                        <c:if test="${gwmailbean.nextId == ''}">
                            <a href="<portlet:actionURL><portlet:param name='getNext' value='X'/><portlet:param name='refresh' value='${renderRequest.portletSession.lastAccessedTime}'/></portlet:actionURL>"><img src="${pageContext.request.contextPath}/images/go-next.png" alt="Next" title="Next" border="0" width="22" height="22"/></a>
                        </c:if>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div style="display:block;">
        <table cellpadding="0" cellspacing="0" width="100%">
            <tr class="headerrow">
                <td class="rowcaption">From:</td>
                <td nowrap>${theitem.from}</td>
                <td align="right" nowrap><fmt:formatDate value="${theitem.date}" pattern="E - MMM d, yyyy  h:mm a"/></td>
            </tr>
            <tr class="headerrow">
                <td class="rowcaption">To:</td>
                <td colspan="2">
                    <c:choose>
                        <c:when test="${fn:length(theitem.to) > 45}">
                            <span title="${theitem.to}">${fn:substring(theitem.to,0,40)} .....</span>
                        </c:when>
                        <c:otherwise>${theitem.to}</c:otherwise>
                    </c:choose>
                </td>
            </tr>
            <c:if test="${theitem.cc != ''}">
                <tr class="headerrow">
                    <td class="rowcaption">CC:</td>
                    <td colspan="2">
                        <c:choose>
                            <c:when test="${fn:length(theitem.cc) > 45}">
                                <span title="${theitem.cc}">${fn:substring(theitem.cc,0,40)} .....</span>
                            </c:when>
                            <c:otherwise>${theitem.cc}</c:otherwise>
                        </c:choose>
                    </td>
                </tr>
            </c:if>
            <c:if test="${theitem.bcc != ''}">
                <tr class="headerrow">
                    <td class="rowcaption">BCC:</td>
                    <td colspan="2">${theitem.bcc}</td>
                </tr>
            </c:if>
            <tr class="headerrow">
                <td class="rowcaption">Subject:</td>
                <td colspan="2">${theitem.subject}</td>
            </tr>
            <c:forEach items="${theitem.attachments}" var="attachments" varStatus="attstatus">
                <c:choose>
                    <c:when test="${attstatus.first}">
                        <tr class="headerrow">
                            <td class="rowcaption" style="vertical-align:top;">Attachments:</td>
                            <td colspan="2">
                                <div>${attachments}</div>
                        <c:if test="${attstatus.last}">
                             </td>
                        </tr>
                        </c:if>
                    </c:when>
                    <c:when test="${attstatus.last}">
                                <div>${attachments}</div>
                            </td>
                        </tr>
                    </c:when>
                    <c:otherwise>
                            <div>${attachments}</div>
                    </c:otherwise>
                </c:choose>
            </c:forEach>
            <tr><td colspan="3"><div style="padding: 6px; overflow: auto; background-color: #fff;<c:if test="${fn:length(theitem.message) > 600}"> height:300px;</c:if>">${theitem.message}</div></td></tr>
        </table>
    </div>
</div>
</c:forEach>

    </c:otherwise>
</c:choose>
